Instalação zabbix-agent 3.4 [RESOLVIDO]

1. Instalação zabbix-agent 3.4 [RESOLVIDO]

Lazie
dimer

(usa CentOS)

Enviado em 03/07/2020 - 14:46h

Boa tarde pessoal.

Estou tentando instalar o zabbix-agent em um S.O. Fedora release 31.
Instalei o repositório da versão 3.4 do agente.
Com o comando rpm -qa | grep -i zabbix ele só me retorna o seguinte resultado:
zabbix-release-3.4-2.el7.noarch 


Porém ao tentar instalar, o sistema me informa o seguinte:
=============================================================================================================================================================================================================================================
Package Architecture Version Repository Size
=============================================================================================================================================================================================================================================
Instalando:
zabbix-agent x86_64 1:4.0.15-1.fc31 updates 227 k
Instalando dependências:
zabbix x86_64 1:4.0.15-1.fc31 updates 350 k

Resumo da transação
=============================================================================================================================================================================================================================================
Instalar 2 Pacotes


Ele ta instalando a versão 4.0 do agente, que é incompatível com o meu servidor.
Alguém sabe como eu faço para forçar o sistema instalar a versão 3.4 do agente?

Desculpem se fiz algo errado, ainda tenho muito que aprender sobre Linux.



  


2. Re: Instalação zabbix-agent 3.4 [RESOLVIDO]

Lazie
dimer

(usa CentOS)

Enviado em 03/07/2020 - 15:30h

Descobri que mesmo adicionando o repositório do Zabbix 3.4, o sistema tentava instalar utilizando os repositórios fedora e updates.
Então adicionei a linha abaixo nos arquivos /etc/yum.repos.d/fedora-updates.repo e /etc/yum.repos.d/fedora.repo para o sistema não instalar o agente utilizando estes repositórios.
exclude=zabbix-agent 

Assim a instalação é forçada no repositório do Zabbix.
Resolvido.








Patrocínio

Site hospedado pelo provedor RedeHost.
Linux banner
Linux banner
Linux banner

Destaques

Artigos

Dicas

Tópicos

Top 10 do mês

Scripts